Skip to main content
POST
/
v1
/
sharing
/
{card_id}
Create Share Code
curl --request POST \
  --url https://api.supernotes.app/v1/sharing/{card_id} \
  --header 'Api-Key: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '{}'
import requests

url = "https://api.supernotes.app/v1/sharing/{card_id}"

payload = {}
headers = {
"Api-Key": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};

fetch('https://api.supernotes.app/v1/sharing/{card_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "card_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "owner_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "code": "<string>"
}
{
"type": "<string>",
"detail": "<string>",
"status": 123
}

Authorizations

Api-Key
string
header
required

Path Parameters

card_id
string<uuid>
required

Body

application/json
granted_perms
enum<integer>
required
Available options:
-1,
0,
1318,
1382,
1398,
4094,
8190

Response

Successful Response

id
string<uuid>
required
card_id
string<uuid>
required
owner_id
string<uuid>
required
code
string
required
granted_perms
enum<integer>
required
Available options:
-1,
0,
1318,
1382,
1398,
4094,
8190